org.python.core.adapter

## Interface PyObjectAdapter

- All Known Implementing Classes:
    ClassAdapter, ClassicPyObjectAdapter, ExtensiblePyObjectAdapter

      public interface PyObjectAdapter

  PyObjectAdapters turn Java Objects into PyObjects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `adapt(java.lang.Object o)` Returns the PyObject version of o or null if canAdapt(o) returns false.
    `boolean` | `canAdapt(java.lang.Object o)` Returns true if o can be adapted by this adapter.

- - ### Method Detail

    - #### canAdapt

          boolean canAdapt(java.lang.Object o)

      Returns true if o can be adapted by this adapter.

    - #### adapt

          PyObject adapt(java.lang.Object o)

      Returns the PyObject version of o or null if canAdapt(o) returns false.

Jython homepage